Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InplaceSelectRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase
                  org.richfaces.renderkit.InplaceInputRendererBase
                      org.richfaces.renderkit.InplaceSelectRendererBase

Direct Known Subclasses:
  InplaceSelectRenderer

    public class InplaceSelectRendererBase

extends InplaceInputRendererBase

Author:
  Anton Belevich

Field Summary
`static java.lang.String` | `ITEM_CSS`

Fields inherited from class org.richfaces.renderkit.InplaceInputRendererBase
`INPLACE_INPUT_HANDLER_ATTRIBUTES`

Constructor Summary
`InplaceSelectRendererBase()`

Method Summary
`void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.List<ClientSelectItem> clientSelectItems)`
`java.lang.String` | `getChangedStateCss(org.richfaces.component.InplaceComponent component)`
`java.lang.String` | `getContainerStyleClasses(javax.faces.component.UIComponent component)`
`java.util.List<ClientSelectItem>` | `getConvertedSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`java.lang.String` | `getDisabledCss(javax.faces.component.UIComponent component)`
`java.lang.String` | `getDisableStateCss(org.richfaces.component.InplaceComponent component)`
`java.lang.String` | `getEditCss(org.richfaces.component.InplaceComponent component)`
`java.lang.String` | `getEditStateCss(org.richfaces.component.InplaceComponent component)`
`protected java.lang.String` | `getInputWidthStyle(javax.faces.component.UIComponent component)`
`java.lang.String` | `getListCss(javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getListHeight(AbstractInplaceSelect select)`
`java.lang.String` | `getListHeight(javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getListWidth(AbstractInplaceSelect select)`
`java.lang.String` | `getListWidth(javax.faces.component.UIComponent component)`
`java.lang.String` | `getNoneCss(org.richfaces.component.InplaceComponent component)`
`java.lang.String` | `getSelectInputLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`java.lang.String` | `getSelectLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `renderInputHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `renderListHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.InplaceInputRendererBase
`getEditEvent, getEditStyleClass, getInplaceState, getInputWidth, getReadyStateCss, getResourcePath, getStateStyleClass, getValue`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getConvertedValue, getInputValue`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_CSS

    public static final java.lang.String ITEM_CSS

See Also:
  Constant Field Values

Constructor Detail

### InplaceSelectRendererBase

    public InplaceSelectRendererBase()

Method Detail

### getConvertedSelectItems

    public java.util.List<ClientSelectItem> getConvertedSelectItems(javax.faces.context.FacesContext facesContext,
                                                                    javax.faces.component.UIComponent component)

### encodeItems

    public void encodeItems(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component,
                            java.util.List<ClientSelectItem> clientSelectItems)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderListHandlers

    public void renderListHandlers(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderInputHandlers

    public void renderInputHandlers(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component)
                             throws java.io.IOException

  Overrides:
    `renderInputHandlers` in class `InplaceInputRendererBase`
  Throws:
    `java.io.IOException`

### getSelectInputLabel

    public java.lang.String getSelectInputLabel(javax.faces.context.FacesContext facesContext,
                                                javax.faces.component.UIComponent component)

### getListWidth

    public java.lang.String getListWidth(javax.faces.component.UIComponent component)

### getListWidth

    protected java.lang.String getListWidth(AbstractInplaceSelect select)

### getListHeight

    protected java.lang.String getListHeight(AbstractInplaceSelect select)

### getListHeight

    public java.lang.String getListHeight(javax.faces.component.UIComponent component)

### getSelectLabel

    public java.lang.String getSelectLabel(javax.faces.context.FacesContext facesContext,
                                           javax.faces.component.UIComponent component)

### getContainerStyleClasses

    public java.lang.String getContainerStyleClasses(javax.faces.component.UIComponent component)

  Overrides:
    `getContainerStyleClasses` in class `InplaceInputRendererBase`

### getEditStateCss

    public java.lang.String getEditStateCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getEditStateCss` in class `InplaceInputRendererBase`

### getChangedStateCss

    public java.lang.String getChangedStateCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getChangedStateCss` in class `InplaceInputRendererBase`

### getDisableStateCss

    public java.lang.String getDisableStateCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getDisableStateCss` in class `InplaceInputRendererBase`

### getDisabledCss

    public java.lang.String getDisabledCss(javax.faces.component.UIComponent component)

### getEditCss

    public java.lang.String getEditCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getEditCss` in class `InplaceInputRendererBase`

### getNoneCss

    public java.lang.String getNoneCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getNoneCss` in class `InplaceInputRendererBase`

### getListCss

    public java.lang.String getListCss(javax.faces.component.UIComponent component)

### getInputWidthStyle

    protected java.lang.String getInputWidthStyle(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.